﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Data.Common;
using System.Data;
using NexusDB.DB;
using System.Web.UI.WebControls;

public partial class adointf : System.Web.UI.Page
{
   public static DataTable GetResultTable()
   {
      DbConnection conn = null;
      DbCommand command = null;

      string provider = "NexusDB.ADOProvider";
      string commandtext = "select top 10 * from Customers";
      string connectionstring = String.Empty;
      connectionstring = @"Database=Northwind;UseInterfaceIfAvailable=true";

      DbProviderFactory factory = DbProviderFactories.GetFactory(provider);
      conn = factory.CreateConnection();
      conn.ConnectionString = connectionstring;

      command = factory.CreateCommand();
      command.Connection = conn;
      command.CommandText = commandtext;

      conn.Open();
      try
      {
         DbDataReader r = command.ExecuteReader();
         DataTable dt = new DataTable();
         DbDataAdapter ad = factory.CreateDataAdapter();
         ad.SelectCommand = command;
         ad.Fill(dt);
         return dt;
      }
      catch (Exception ex)
      {
         throw new Exception(String.Format("SQL: {0}\n\r\n\r", commandtext), ex);
      }
      finally
      {
         conn.Close();
      }
   }

   protected void Page_Load(object sender, EventArgs e)
   {
      ServerEngine serverengine = new ServerEngine(NexusDB.InterOp.WebServer.ServerEngineLink.GetServerEngine(HttpContext.Current));

      GridView2.DataSource = GetResultTable();
      GridView2.DataBind();
   }
}
