﻿using System;
using System.Web;
using System.Web.UI;
using System.Data.Common;
using System.Data;
using NexusDB.DB;
using System.Web.UI.WebControls;
using System.Reflection;

public partial class _Default : System.Web.UI.Page
{
   public static DataTable GetResultTable()
   {
      DbConnection conn = null;
      DbCommand command = null;

      string provider = "NexusDB.ADOProvider";
      string commandtext = "select top 20, 10 * from CD";
      string connectionstring = String.Empty;
      connectionstring = @"Server=nexusdb@192.168.1.157;Port=16080;Transport=TCP;Database=Test;Native=false;UseInterfaceIfAvailable=true";

      DbProviderFactory factory = DbProviderFactories.GetFactory(provider);
      conn = factory.CreateConnection();
      conn.ConnectionString = connectionstring;

      command = factory.CreateCommand();
      command.Connection = conn;
      command.CommandText = commandtext;

      conn.Open();
      try
      {
         DbDataReader r = command.ExecuteReader();
         DataTable dt = new DataTable();
         DbDataAdapter ad = factory.CreateDataAdapter();
         ad.SelectCommand = command;
         ad.Fill(dt);
         return dt;
      }
      catch (Exception ex)
      {
         throw new Exception(String.Format("SQL: {0}\n\r\n\r", commandtext), ex);
      }
      finally
      {
         conn.Close();
      }
   }

   protected void Page_Load(object sender, EventArgs e)
   {
      ServerEngine serverengine = new ServerEngine(NexusDB.InterOp.WebServer.ServerEngineLink.GetServerEngine(HttpContext.Current));

      Session se = serverengine.GetSession("", "", 0);
      GridView1.DataSource = se.AliasesAsDataTable();
      GridView1.DataBind();

      Database db = se.GetDatabase("Northwind", false, false, 0);
      GridView2.DataSource = db.TablesAsDataTable();

      GridView2.DataBind();
   }
}
