﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Data;
using System.Data.Common;
using System.Web.UI.WebControls;

public partial class tablebrowser : System.Web.UI.Page
{
   DbConnection conn = null;
   DbCommand command = null;

   string provider = "NexusDB.ADOProvider";
   DbProviderFactory factory = null;

   protected DataTable GetDataTable(string commandtext)
   {
      conn = factory.CreateConnection();
      conn.ConnectionString = Session["connectionstring"].ToString();
      conn.Open();
      command = factory.CreateCommand();
      command.Connection = conn;
      try
      {
         DataSet ds = new DataSet();

         DataTable dt = new DataTable("t1");
         ds.Tables.Add(dt);
         command.CommandText = commandtext;
         dt.DataSet.EnforceConstraints = false;
         ds.Load(command.ExecuteReader(), LoadOption.OverwriteChanges, dt);
         return dt;
      }
      catch (Exception ex)
      {
         throw new Exception(String.Format("SQL: {0}\n\r\n\r", commandtext), ex);
      }
      finally
      {
         conn.Close();
      }
   }

   protected void Page_Load(object sender, EventArgs e)
    {
       if (Page.IsPostBack)
       {
          Session["connectionstring"] = string.Format(@"Server=nexusdb@{0};Port={1};Transport=TCP;Database=c:\;Native={2};UseInterfaceIfAvailable={3}", edServer.Text, edPort.Text, rbNative.Checked.ToString(), false);

          factory = DbProviderFactories.GetFactory(provider);
       }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
       ListBox1.Items.Clear();
       ListBox1.DataTextField = "SCHEMA_NAME";
       ListBox1.DataSource = GetDataTable("select * from #schemas");
       ListBox1.DataBind();
       if (ListBox1.Items.Count > 0)
       {
          ListBox1.SelectedIndex = 0;
          ListBox1_SelectedIndexChanged(null, null);
       }
    }
    protected void ListBox1_SelectedIndexChanged(object sender, EventArgs e)
    {
       if (ListBox1.SelectedIndex > -1)
       {
          Session["connectionstring"] = string.Format(@"Server=nexusdb@{0};Port={1};Transport=TCP;Database={4};Native={2};UseInterfaceIfAvailable={3}", edServer.Text, edPort.Text, rbNative.Checked.ToString(), false, ListBox1.SelectedItem.Text);
          ListBox2.Items.Clear();
          ListBox2.DataTextField = "TABLE_NAME";
          ListBox2.DataSource = GetDataTable("select * from #tables");
          ListBox2.DataBind();
       }
    }
    protected void ListBox2_SelectedIndexChanged(object sender, EventArgs e)
    {
       if (ListBox1.SelectedIndex > -1 && ListBox2.SelectedIndex > -1)
       {
          Session["connectionstring"] = string.Format(@"Server=nexusdb@{0};Port={1};Transport=TCP;Database={4};Native={2};UseInterfaceIfAvailable={3}", edServer.Text, edPort.Text, rbNative.Checked.ToString(), false, ListBox1.SelectedItem.Text);
          GridView1.DataSource = GetDataTable(string.Format("select top {1} * from {0}", ListBox2.SelectedItem.Text, edMaxRecords.Text));
          GridView1.DataBind();
       }
    }
}